Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
API Access / Reference / REST API

Service Account

Postman Collection
OpenAPI
GET

List service accounts in an orgExperimental

Retrieves all service accounts for the specified organization.

Scopes

OAuth 2.0 scopes required: read:service-accounts:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Responses

Returned if the request is successful.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

ServiceAccountListResponse
GET/orgs/{orgId}/service-accounts
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 { "links": { "next": "<string>", "prev": "<string>" }, "items": [ { "atlassianId": "<string>", "id": "<string>", "email": "<string>", "displayName": "<string>", "picture": "<string>", "container": "<string>", "updatedAt": 1764642980899, "status": "<string>", "createdById": "<string>", "description": "<string>" } ], "total": 57 }
POST

Create a service accountExperimental

Creates a new service account for the specified organization. The service account is created with the given display name and optional description, then invited with the specified permission rules and optional additional group memberships.

Scopes

OAuth 2.0 scopes required: write:service-accounts:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

The service account creation request.

displayName

string

Required
description

string

permissionRules

array<PermissionRule>

Required
additionalGroups

array<AdditionalGroup>

Responses

Returned if the service account is successfully created.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

CreateServiceAccountResponse
POST/orgs/{orgId}/service-accounts
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 curl --request POST \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "<string>", "description": "<string>", "permissionRules": [ { "resource": "<string>", "role": "<string>" } ], "additionalGroups": [ { "directoryId": "<string>", "groupId": "<string>" } ] }'
201Response
1 2 3 4 5 6 7 8 9 { "atlassianId": "<string>", "id": "<string>", "email": "<string>", "displayName": "<string>", "container": "<string>", "updatedAt": 1763149545609, "status": "<string>" }
PATCH

Update a service accountExperimental

Updates a service account's display name and/or description within the specified organization.

Scopes

OAuth 2.0 scopes required: write:service-accounts:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

The service account update request.

atlassianId

string

Required
displayName

string

description

string

Responses

Returned if the service account is successfully updated.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

application/json

ServiceAccount

Represents a service account.

PATCH/orgs/{orgId}/service-accounts
1 2 3 4 5 6 7 8 9 curl --request PATCH \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "atlassianId": "<string>", "displayName": "<string>", "description": "<string>" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "atlassianId": "<string>", "id": "<string>", "email": "<string>", "displayName": "<string>", "picture": "<string>", "container": "<string>", "updatedAt": 1764642980899, "status": "<string>", "createdById": "<string>", "description": "<string>" }
DEL

Delete a service accountExperimental

Deletes a service account from the specified organization.

Scopes

OAuth 2.0 scopes required: write:service-accounts:admin

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

orgId

string

Required
serviceAccountId

string

Required

Responses

Returned if the service account is successfully deleted.

Headers

X-RateLimit-Limit

integer

X-RateLimit-Remaining

integer

X-RateLimit-Reset

string

DEL/orgs/{orgId}/service-accounts/{serviceAccountId}
1 2 curl --request DELETE \ --url 'https://api.atlassian.com/admin/api-access/v1/orgs/{orgId}/service-accounts/{serviceAccountId}'

Rate this page: